<template>
  <div id="container"></div>
</template>

<script>
import AMapLoader from '@amap/amap-jsapi-loader'
window._AMapSecurityConfig = {
  securityJsCode: 'a658c2ad641e48ad5abb56d2ad113e5b'
}
export default {
  data () {
    return {
      map: null
    }
  },
  props: {
    formInfo: {
      type: Object,
      default: () => ({})
    }
  },
  watch: {
    formInfo (val) {
      this.initMap()
    }
  },
  methods: {
    initMap () {
      AMapLoader.load({
        key: 'a09220a9ab56352435dd123abf0c37f6', // 申请好的Web端开发者Key，首次调用 load 时必填
        version: '2.0', // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
        plugins: [''] // 需要使用的的插件列表，如比例尺'AMap.Scale'等
      })
        .then((AMap) => {
          this.map = new AMap.Map('container', {
            // 设置地图容器id
            viewMode: '3D', // 是否为3D地图模式
            zoom: 15, // 初始化地图级别
            center: [this.formInfo.lng, this.formInfo.lat] // 初始化地图中心点位置
          })
          var marker = new AMap.Marker({
            title: this.formInfo.address,
            position: [this.formInfo.lng, this.formInfo.lat]
          })
          this.map.add(marker)
        })
        .catch((e) => {
          console.log(e)
        })
    }
  },
  mounted () {
    // DOM初始化完成进行地图初始化
    this.initMap()
  }
}
</script>

<style lang="less" scoped>
#container {
  padding: 0px;
  margin: 0px;
  width: 100%;
  height: 100%;
}
</style>
